# psputility_sysparam.h File Reference

`#include <psptypes.h>`

Include dependency graph for psputility_sysparam.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines

#define | PSP_SYSTEMPARAM_ID_STRING_NICKNAME 1
| IDs for use inSystemParam functions PSP_SYSTEMPARAM_ID_INT are for use with SystemParamInt funcs PSP_SYSTEMPARAM_ID_STRING are for use with SystemParamString funcs.
#define | PSP_SYSTEMPARAM_ID_INT_ADHOC_CHANNEL 2
#define | PSP_SYSTEMPARAM_ID_INT_WLAN_POWERSAVE 3
#define | PSP_SYSTEMPARAM_ID_INT_DATE_FORMAT 4
#define | PSP_SYSTEMPARAM_ID_INT_TIME_FORMAT 5
#define | PSP_SYSTEMPARAM_ID_INT_TIMEZONE 6
#define | PSP_SYSTEMPARAM_ID_INT_DAYLIGHTSAVINGS 7
#define | PSP_SYSTEMPARAM_ID_INT_LANGUAGE 8
#define | PSP_SYSTEMPARAM_ID_INT_UNKNOWN 9
| #9 seems to be Region or maybe X/O button swap.
#define | PSP_SYSTEMPARAM_RETVAL_OK 0
| Return values for the SystemParam functions.
#define | PSP_SYSTEMPARAM_RETVAL_FAIL 0x80110103
#define | PSP_SYSTEMPARAM_ADHOC_CHANNEL_AUTOMATIC 0
| Valid values for PSP_SYSTEMPARAM_ID_INT_ADHOC_CHANNEL.
#define | PSP_SYSTEMPARAM_ADHOC_CHANNEL_1 1
#define | PSP_SYSTEMPARAM_ADHOC_CHANNEL_6 6
#define | PSP_SYSTEMPARAM_ADHOC_CHANNEL_11 11
#define | PSP_SYSTEMPARAM_WLAN_POWERSAVE_OFF 0
| Valid values for PSP_SYSTEMPARAM_ID_INT_WLAN_POWERSAVE.
#define | PSP_SYSTEMPARAM_WLAN_POWERSAVE_ON 1
#define | PSP_SYSTEMPARAM_DATE_FORMAT_YYYYMMDD 0
| Valid values for PSP_SYSTEMPARAM_ID_INT_DATE_FORMAT.
#define | PSP_SYSTEMPARAM_DATE_FORMAT_MMDDYYYY 1
#define | PSP_SYSTEMPARAM_DATE_FORMAT_DDMMYYYY 2
#define | PSP_SYSTEMPARAM_TIME_FORMAT_24HR 0
| Valid values for PSP_SYSTEMPARAM_ID_INT_TIME_FORMAT.
#define | PSP_SYSTEMPARAM_TIME_FORMAT_12HR 1
#define | PSP_SYSTEMPARAM_DAYLIGHTSAVINGS_STD 0
| Valid values for PSP_SYSTEMPARAM_ID_INT_DAYLIGHTSAVINGS.
#define | PSP_SYSTEMPARAM_DAYLIGHTSAVINGS_SAVING 1
#define | PSP_SYSTEMPARAM_LANGUAGE_JAPANESE 0
| Valid values for PSP_SYSTEMPARAM_ID_INT_LANGUAGE.
#define | PSP_SYSTEMPARAM_LANGUAGE_ENGLISH 1
#define | PSP_SYSTEMPARAM_LANGUAGE_FRENCH 2
#define | PSP_SYSTEMPARAM_LANGUAGE_SPANISH 3
#define | PSP_SYSTEMPARAM_LANGUAGE_GERMAN 4
#define | PSP_SYSTEMPARAM_LANGUAGE_ITALIAN 5
#define | PSP_SYSTEMPARAM_LANGUAGE_DUTCH 6
#define | PSP_SYSTEMPARAM_LANGUAGE_PORTUGUESE 7
#define | PSP_SYSTEMPARAM_LANGUAGE_KOREAN 8

## Functions

int | sceUtilitySetSystemParamInt (int id, int value)
| Set Integer System Parameter.
int | sceUtilitySetSystemParamString (int id, const char *str)
| Set String System Parameter.
int | sceUtilityGetSystemParamInt (int id, int *value)
| Get Integer System Parameter.
int | sceUtilityGetSystemParamString (int id, char *str, int len)
| Get String System Parameter.

## Define Documentation

#define PSP_SYSTEMPARAM_ADHOC_CHANNEL_1 1

#define PSP_SYSTEMPARAM_ADHOC_CHANNEL_11 11

#define PSP_SYSTEMPARAM_ADHOC_CHANNEL_6 6

#define PSP_SYSTEMPARAM_ADHOC_CHANNEL_AUTOMATIC 0

| Valid values for PSP_SYSTEMPARAM_ID_INT_ADHOC_CHANNEL.

#define PSP_SYSTEMPARAM_DATE_FORMAT_DDMMYYYY 2

#define PSP_SYSTEMPARAM_DATE_FORMAT_MMDDYYYY 1

#define PSP_SYSTEMPARAM_DATE_FORMAT_YYYYMMDD 0

| Valid values for PSP_SYSTEMPARAM_ID_INT_DATE_FORMAT.

#define PSP_SYSTEMPARAM_DAYLIGHTSAVINGS_SAVING 1

#define PSP_SYSTEMPARAM_DAYLIGHTSAVINGS_STD 0

| Valid values for PSP_SYSTEMPARAM_ID_INT_DAYLIGHTSAVINGS.

#define PSP_SYSTEMPARAM_ID_INT_ADHOC_CHANNEL 2

#define PSP_SYSTEMPARAM_ID_INT_DATE_FORMAT 4

#define PSP_SYSTEMPARAM_ID_INT_DAYLIGHTSAVINGS 7

#define PSP_SYSTEMPARAM_ID_INT_LANGUAGE 8

#define PSP_SYSTEMPARAM_ID_INT_TIME_FORMAT 5

#define PSP_SYSTEMPARAM_ID_INT_TIMEZONE 6

#define PSP_SYSTEMPARAM_ID_INT_UNKNOWN 9

| #9 seems to be Region or maybe X/O button swap. It doesn't exist on JAP v1.0 is 1 on NA v1.5s is 0 on JAP v1.5s is read-only

#define PSP_SYSTEMPARAM_ID_INT_WLAN_POWERSAVE 3

#define PSP_SYSTEMPARAM_ID_STRING_NICKNAME 1

| IDs for use inSystemParam functions PSP_SYSTEMPARAM_ID_INT are for use with SystemParamInt funcs PSP_SYSTEMPARAM_ID_STRING are for use with SystemParamString funcs.

#define PSP_SYSTEMPARAM_LANGUAGE_DUTCH 6

#define PSP_SYSTEMPARAM_LANGUAGE_ENGLISH 1

#define PSP_SYSTEMPARAM_LANGUAGE_FRENCH 2

#define PSP_SYSTEMPARAM_LANGUAGE_GERMAN 4

#define PSP_SYSTEMPARAM_LANGUAGE_ITALIAN 5

#define PSP_SYSTEMPARAM_LANGUAGE_JAPANESE 0

| Valid values for PSP_SYSTEMPARAM_ID_INT_LANGUAGE.

#define PSP_SYSTEMPARAM_LANGUAGE_KOREAN 8

#define PSP_SYSTEMPARAM_LANGUAGE_PORTUGUESE 7

#define PSP_SYSTEMPARAM_LANGUAGE_SPANISH 3

#define PSP_SYSTEMPARAM_RETVAL_FAIL 0x80110103

#define PSP_SYSTEMPARAM_RETVAL_OK 0

| Return values for the SystemParam functions.

#define PSP_SYSTEMPARAM_TIME_FORMAT_12HR 1

#define PSP_SYSTEMPARAM_TIME_FORMAT_24HR 0

| Valid values for PSP_SYSTEMPARAM_ID_INT_TIME_FORMAT.

#define PSP_SYSTEMPARAM_WLAN_POWERSAVE_OFF 0

| Valid values for PSP_SYSTEMPARAM_ID_INT_WLAN_POWERSAVE.

#define PSP_SYSTEMPARAM_WLAN_POWERSAVE_ON 1

## Function Documentation

int sceUtilityGetSystemParamInt | ( | int | id,
|  | int * | value
| ) |

Get Integer System Parameter.

Parameters:

  | id | - which parameter to get
  | value | - pointer to integer value to place result in

Returns:
  0 on success, PSP_SYSTEMPARAM_RETVAL_FAIL on failure

int sceUtilityGetSystemParamString | ( | int | id,
|  | char * | str,
|  | int | len
| ) |

Get String System Parameter.

Parameters:

  | id | - which parameter to get
  | str | - char * buffer to place result in
  | len | - length of str buffer

Returns:
  0 on success, PSP_SYSTEMPARAM_RETVAL_FAIL on failure

int sceUtilitySetSystemParamInt | ( | int | id,
|  | int | value
| ) |

Set Integer System Parameter.

Parameters:

  | id | - which parameter to set
  | value | - integer value to set

Returns:
  0 on success, PSP_SYSTEMPARAM_RETVAL_FAIL on failure

int sceUtilitySetSystemParamString | ( | int | id,
|  | const char * | str
| ) |

Set String System Parameter.

Parameters:

  | id | - which parameter to set
  | str | - char * value to set

Returns:
  0 on success, PSP_SYSTEMPARAM_RETVAL_FAIL on failure